Bug 62669 - HyperZ freeze when playing PrBoom-Plus demo with lots of monsters
Summary: HyperZ freeze when playing PrBoom-Plus demo with lots of monsters
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: 9.1
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-23 14:31 UTC by Simon Putt
Modified: 2013-05-06 14:47 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Putt 2013-03-23 14:31:04 UTC
I am getting a reproduceable lockup with Prboom-Plus (Its a doom game engine)

when there is loads of monsters on screen, it seems to lock, starting with R600_HYPERZ=false negates the lock up.

Card is a Evergreen Juniper (XFX HD6770 1GB)

how to reproduce, start prboom with doom2.wad and the files and demos from here

http://www.doomworld.com/idgames/index.php?id=12597 (Deus Vault)

also you will require the non-free doom2.wad file from the game.

and play the demo with this command from inside the unzipped dir.


prboom-plus -file DV.wad -fastdemo PRBoom\ 2.2.4\ Demos/DV01-UVMAX2.lmp

at some point when the player drops down a shaft to a room with many monsters it will lock does this everytime.

OS is Mageia 3 Beta 4, with Mesa 9.1.1 Xorg 1.13.3 and kernel 3.8.3
Comment 1 Jerome Glisse 2013-04-24 19:24:02 UTC
Please check if below patch fix the issue:

http://people.freedesktop.org/~glisse/0001-r600g-force-full-cache-for-hyperz.patch
Comment 2 Jerome Glisse 2013-05-06 14:47:58 UTC
Closing pushed to master and going to push to 9.1


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.